# Generated by Django 3.2.11 on 2022-06-14 13:32

from django.db import migrations, models


def forwards_func(apps, schema_editor):
    NobinobiChildSettings = apps.get_model("nobinobi_child", "NobinobiChildSettings")
    db_alias = schema_editor.connection.alias
    NobinobiChildSettings.objects.using(db_alias).create()


def reverse_func(apps, schema_editor):
    # remove the object we created on forwards_func
    NobinobiChildSettings = apps.get_model("nobinobi_child", "NobinobiChildSettings")
    db_alias = schema_editor.connection.alias
    NobinobiChildSettings.objects.using(db_alias).filter().first().delete()


class Migration(migrations.Migration):
    dependencies = [
        ('nobinobi_child', '0009_child_date_end_child'),
    ]

    operations = [
        migrations.CreateModel(
            name='NobinobiChildSettings',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('age_group_type', models.CharField(choices=[('STD', 'Standard'), ('BTHD', 'Birthday')], default='STD', max_length=4)),
            ],
            options={
                'verbose_name': 'Nobinobi Child Setting',
            },
        ),
        # Create base booking_settings for first time
        migrations.RunPython(forwards_func, reverse_func),
    ]
